Author Topic: Code::Blocks settings  (Read 3035 times)

Offline fmc0501

  • Multiple posting newcomer
  • *
  • Posts: 21
Code::Blocks settings
« on: November 18, 2021, 08:31:29 pm »
I'm using wxWidgets 3.1.5 on both Win X and Linux Mint. 

What do I need to set so that C::B uses this version instead of 3.0.4, which I assume is installed with C::B to be the default wxWidgets?
Win X / wxWidgets-3.1.5
Code::Blocks 20.03

Offline cacb

  • Lives here!
  • ****
  • Posts: 509
Re: Code::Blocks settings
« Reply #1 on: November 18, 2021, 09:48:00 pm »
Usually C::B does not come with wxWidgets

It depends on the settings in your Project -> Build options
Note Search directories -> Compiler and Search directories -> Linker

There are several ways to do it, but if you have a working setup with 3.0.4 it should be visible there.

Online AndrewCot

  • Regular
  • ***
  • Posts: 342
Re: Code::Blocks settings
« Reply #2 on: November 18, 2021, 11:21:04 pm »
I am assuming you are trying to use wxWidgets and not build C::B. If this is wrong then you need to give more info on what you are trying to do.

The following GITHUB repo has a nice doc on using wxWidgets with C::B
    https://github.com/PBfordev/wxpbguide


Offline fmc0501

  • Multiple posting newcomer
  • *
  • Posts: 21
Re: Code::Blocks settings
« Reply #3 on: November 19, 2021, 01:54:59 am »
@cacb - I need to be able to set C::B to use wxWidgets-3.1.5 instead of 3.0.4. 

I'm not sure if 3.0.4 was installed with the Mint installation or with C::B.  But it really doesn't matter, because I have 3.1.4 and 3.1.5 installed too.  And CLion goes straight for 3.1.5, so I know C::B can too.  I just don't know how/where, in the C::B IDE, to make that happen. 
Win X / wxWidgets-3.1.5
Code::Blocks 20.03

Online AndrewCot

  • Regular
  • ***
  • Posts: 342
Re: Code::Blocks settings
« Reply #4 on: November 19, 2021, 02:55:46 am »
C::B is built against a particular version of wxWidgets and unless you build C::B from source it will use the version is was compiled to use and you cannot change this. The install package(s) or process that you used included the dependent wxWidget version.

Offline cacb

  • Lives here!
  • ****
  • Posts: 509
Re: Code::Blocks settings
« Reply #5 on: November 19, 2021, 12:57:39 pm »
C::B is built against a particular version of wxWidgets and unless you build C::B from source it will use the version is was compiled to use and you cannot change this. The install package(s) or process that you used included the dependent wxWidget version.

I think this is a potentially misleading statement. I am mostly a Code::Blocks user, developing applications using wxWidgets. I only rarely do work relating to changing Code::Blocks itself. So I think the answer depends on whether the OP wants to modify C::B itself or simply use it for application development.

On windows I use the pre-built Nightly Builds and there is no problem configuring C::B build system to use a different version of wxWidgets. In fact I do this 100% of the time since I use the MSVC compiler so my wxWdgets libraries are also built using MSVC.

On Linux I normally build C::B from source using the distro (ubuntu) packages for wxWidgets. I still configure C::B build system to use my own self-built version of wxWidgets and use that for application development, without issues.

Offline fmc0501

  • Multiple posting newcomer
  • *
  • Posts: 21
Re: Code::Blocks settings
« Reply #6 on: November 19, 2021, 04:59:11 pm »
Hey cacb.

I want to load and use my compiled wxWidgets-3.1.5 with Code::Blocks 20.03.  Isn't there a way to point C::B to that wxWidgets installation and use it instead of the 3.0.4 version?  If not, I'm cool.  I'm getting by with what I have.  But if you know what switches to throw, I'd really like to know, too.

Thanks.
« Last Edit: November 19, 2021, 05:01:08 pm by fmc0501 »
Win X / wxWidgets-3.1.5
Code::Blocks 20.03

Offline sodev

  • Regular
  • ***
  • Posts: 452
Re: Code::Blocks settings
« Reply #7 on: November 19, 2021, 05:24:52 pm »
You are turning in circles here, you still didn't answer clearly what are you actually trying to do! So to get this finally straight, what do you want to do?

  • Compile Code::Blocks 20.03 with wxWidgets 3.1.5
  • Compile something else with wxWidgets 3.1.5

Offline fmc0501

  • Multiple posting newcomer
  • *
  • Posts: 21
Re: Code::Blocks settings
« Reply #8 on: November 19, 2021, 06:05:27 pm »
Let's try this, in hopes of breaking out of the circle:

I want wxWidgets-3.1.5 to be the default widget set for CB.  This particular Gui toolkit is compiled and being used by CLion.  So, in my circular way of thinking, if CLion can use it, then there must be a way for CB to use it as well.  And that's all I'm asking for.  If it can't be done, then I'll stick with version 3.0.4.
Win X / wxWidgets-3.1.5
Code::Blocks 20.03

Offline cacb

  • Lives here!
  • ****
  • Posts: 509
Re: Code::Blocks settings
« Reply #9 on: November 19, 2021, 06:20:24 pm »
Apparently, you are unable to understand the replies here, so it is nearly impossible to provide you with any help.

You have not answered sodev's basic and important questions. Since you didn't we are left to make a guess that you simply want to use a pre-built version of C::B with wxWidgets 3.1.5. If that is so I already answered yesterday here. What is it that you don't understand about the reply?